Summary: A graphical tool for creating and tone-mapping HDR images
Name: qtpfsgui
Version: 1.9.1
Release: 1%{?dist}
#Epoch: 1
License: GPLv2+
Group: Applications/Productivity
Source0: http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.gz
URL: http://qtpfsgui.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt4-devel, OpenEXR-devel, exiv2-devel, fftw-devel
BuildRequires: libjpeg-devel, libtiff-devel
BuildRequires: desktop-file-utils

%description
Qtpfsgui is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.

%prep
%setup -q

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog

%build
qmake-qt4 PREFIX=%{_prefix}
make %{_smp_mflags}

%install
rm -rf %{buildroot}
make install -e INSTALL_ROOT=%{buildroot} COPY="cp -pf"

desktop-file-install --vendor="fedora" --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Mon Mar 03 2008 Douglas E. Warner <silfreed@silfreed.net> 1.9.1-1
- update to 1.9.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.0-2
- Autorebuild for GCC 4.3

* Tue Dec 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.9.0-1
- update to version 1.9.0

* Wed Nov 14 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.12-3
- update for new exiv2

* Mon Oct 15 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.12-2
- new OpenEXR version

* Tue Aug 12 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.12-1
- update to version 1.8.12
- fixes CVE-2007-2956; bug#251674

* Thu Aug 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.11-2
- updated License from GPL to GPLv2+

* Tue Jul 31 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.11-1
- update to version 1.8.11

* Sat Jul 14 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.10-2
- bump for new sources file

* Sat Jul 14 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.10-1
- update to version 1.8.10
- removed i18n patch (applied upstream)

* Tue Jul 10 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-5
- preserving timestamps on install
- removed INSTALL file from docs
- updating GTK icon cache

* Wed Jul 04 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-4
- cleaning up summary and description
- fixing newlines in prep instead of install
- updating desktop-file-install to call --delete-original to remove that
  manual step

* Mon Jul 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-3
- removing explicit Requires

* Fri Jun 29 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-2
- documenting hacks
- installing desktop file

* Sun Jun 10 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.9-1
- new version
- not stripping binary and building debuginfo binary

* Wed May 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.8-1
- new version
- removed prefix patch (fixed upstream)

* Sat Apr 28 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.7-1
- new version

* Sat Apr 28 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.5-1
- new version

* Sun Mar 25 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.3-2
- fixing rpmlint errors
- removing explicit library requires
- stripping qtpfsgui binary
- fixing newlines in Changelog
- changed group from Applications/Desktop to Applications/Productivity

* Thu Mar 22 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.3-1
- Version increase

* Thu Mar 22 2007 Douglas E. Warner <silfreed@silfreed.net> 1.8.2-1
- Initial RPM release.

